# -*- coding: utf-8 -*-
# Generated by Django 1.9.1 on 2016-08-01 07:59
from __future__ import unicode_literals

import datetime
from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
        ('proso_models', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='AnswerExperimentSetup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('answer', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proso_models.Answer')),
            ],
        ),
        migrations.CreateModel(
            name='Experiment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.CharField(max_length=100, unique=True)),
                ('is_enabled', models.BooleanField(default=True)),
                ('is_paused', models.BooleanField(default=False)),
                ('time_disabled', models.DateTimeField(blank=True, default=None, null=True)),
                ('time_created', models.DateTimeField(default=datetime.datetime.now)),
            ],
        ),
        migrations.CreateModel(
            name='ExperimentSetup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('content_hash', models.CharField(max_length=40, unique=True)),
                ('experiment', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, to='proso_configab.Experiment')),
            ],
        ),
        migrations.CreateModel(
            name='PossibleValue',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('value', models.CharField(max_length=100)),
                ('probability', models.IntegerField(default=0)),
                ('experiment', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proso_configab.Experiment')),
            ],
        ),
        migrations.CreateModel(
            name='UserSetup',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('experiment_setup', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proso_configab.ExperimentSetup')),
                ('user', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='Variable',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('app_name', models.CharField(max_length=100)),
                ('name', models.CharField(max_length=100)),
            ],
        ),
        migrations.AddField(
            model_name='possiblevalue',
            name='variable',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proso_configab.Variable'),
        ),
        migrations.AddField(
            model_name='experimentsetup',
            name='values',
            field=models.ManyToManyField(to='proso_configab.PossibleValue'),
        ),
        migrations.AddField(
            model_name='answerexperimentsetup',
            name='experiment_setup',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='proso_configab.ExperimentSetup'),
        ),
        migrations.AlterUniqueTogether(
            name='possiblevalue',
            unique_together=set([('variable', 'experiment', 'value')]),
        ),
    ]
