# -*- coding: utf-8 -*-
# Generated by Django 1.9.1 on 2016-08-01 07:59
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import proso.django.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('proso_models', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Category',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.SlugField()),
                ('lang', models.CharField(max_length=2)),
                ('name', models.TextField()),
                ('type', models.CharField(blank=True, max_length=50, null=True)),
                ('item', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='flashcard_categories', to='proso_models.Item')),
            ],
            options={
                'verbose_name_plural': 'categories',
            },
            bases=(models.Model, proso.django.models.ModelDiffMixin),
        ),
        migrations.CreateModel(
            name='Context',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.SlugField()),
                ('lang', models.CharField(max_length=2)),
                ('name', models.TextField(blank=True, null=True)),
                ('content', models.TextField(blank=True, null=True)),
                ('item', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='flashcard_contexts', to='proso_models.Item')),
            ],
            bases=(models.Model, proso.django.models.ModelDiffMixin),
        ),
        migrations.CreateModel(
            name='Flashcard',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.SlugField()),
                ('lang', models.CharField(max_length=2)),
                ('description', models.TextField(blank=True, null=True)),
                ('active', models.BooleanField(default=True)),
                ('context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='flashcards', to='proso_flashcards.Context')),
                ('item', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='flashcards', to='proso_models.Item')),
            ],
            bases=(models.Model, proso.django.models.ModelDiffMixin),
        ),
        migrations.CreateModel(
            name='FlashcardAnswer',
            fields=[
                ('answer_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='proso_models.Answer')),
                ('options', models.ManyToManyField(related_name='answers_with_this_as_option', to='proso_flashcards.Flashcard')),
            ],
            bases=('proso_models.answer',),
        ),
        migrations.CreateModel(
            name='Term',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.SlugField()),
                ('lang', models.CharField(max_length=2)),
                ('name', models.TextField()),
                ('item', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='flashcard_terms', to='proso_models.Item')),
            ],
            bases=(models.Model, proso.django.models.ModelDiffMixin),
        ),
        migrations.AddField(
            model_name='flashcard',
            name='term',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='flashcards', to='proso_flashcards.Term'),
        ),
        migrations.AddField(
            model_name='flashcard',
            name='term_secondary',
            field=models.ForeignKey(blank=True, default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='flashcards_as_secondary', to='proso_flashcards.Term'),
        ),
    ]
