# -*- coding: utf-8 -*-
# Generated by Django 1.9.1 on 2016-08-01 07:59
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import jsonfield.fields
import proso.django.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('proso_models', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='Context',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.SlugField()),
                ('lang', models.CharField(max_length=2)),
                ('name', models.TextField()),
                ('content', jsonfield.fields.JSONField(blank=True, null=True)),
                ('active', models.BooleanField(default=True)),
                ('item', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='task_contexts', to='proso_models.Item')),
            ],
            bases=(models.Model, proso.django.models.ModelDiffMixin),
        ),
        migrations.CreateModel(
            name='Skill',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.SlugField()),
                ('lang', models.CharField(max_length=2)),
                ('name', models.TextField()),
                ('active', models.BooleanField(default=True)),
                ('item', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='task_skills', to='proso_models.Item')),
            ],
            bases=(models.Model, proso.django.models.ModelDiffMixin),
        ),
        migrations.CreateModel(
            name='Task',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.SlugField()),
                ('lang', models.CharField(max_length=2)),
                ('content', jsonfield.fields.JSONField()),
                ('active', models.BooleanField(default=True)),
                ('item', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='task_tasks', to='proso_models.Item')),
            ],
            bases=(models.Model, proso.django.models.ModelDiffMixin),
        ),
        migrations.CreateModel(
            name='TaskAnswer',
            fields=[
                ('answer_ptr', models.OneToOneField(auto_created=True, on_delete=django.db.models.deletion.CASCADE, parent_link=True, primary_key=True, serialize=False, to='proso_models.Answer')),
                ('question', models.CharField(blank=True, max_length=255, null=True)),
                ('answer', models.CharField(blank=True, max_length=255, null=True)),
            ],
            bases=('proso_models.answer',),
        ),
        migrations.CreateModel(
            name='TaskInstance',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('identifier', models.SlugField()),
                ('lang', models.CharField(max_length=2)),
                ('description', jsonfield.fields.JSONField(blank=True, null=True)),
                ('active', models.BooleanField(default=True)),
                ('context', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='instances', to='proso_tasks.Context')),
                ('item', models.ForeignKey(default=None, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='task_instances', to='proso_models.Item')),
                ('task', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='instances', to='proso_tasks.Task')),
            ],
            bases=(models.Model, proso.django.models.ModelDiffMixin),
        ),
        migrations.AlterUniqueTogether(
            name='taskinstance',
            unique_together=set([('identifier', 'lang')]),
        ),
        migrations.AlterUniqueTogether(
            name='task',
            unique_together=set([('identifier', 'lang')]),
        ),
        migrations.AlterUniqueTogether(
            name='skill',
            unique_together=set([('identifier', 'lang')]),
        ),
        migrations.AlterUniqueTogether(
            name='context',
            unique_together=set([('identifier', 'lang')]),
        ),
    ]
